package com.gic.evaluate.dao.mapper;

import com.gic.evaluate.entity.TabEvaluateMsgLog;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TabEvaluateMsgLogMapper {
    /**
     * 根据主键删除
     *
     * @param evaluateMsgLogId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Long evaluateMsgLogId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEvaluateMsgLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEvaluateMsgLog record);

    /**
     * 根据主键查询
     *
     * @param evaluateMsgLogId 主键
     * @return 实体对象
     */
    TabEvaluateMsgLog selectByPrimaryKey(Long evaluateMsgLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEvaluateMsgLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEvaluateMsgLog record);

    TabEvaluateMsgLog getByOrderId(Long orderId);

    List<TabEvaluateMsgLog> listFirstMsgLogs(@Param("enterpriseId") Integer enterpriseId, @Param("startTimeOfDay") Date startTimeOfDay, @Param("endTimeOfDay") Date endTimeOfDay);

    List<TabEvaluateMsgLog> listSecondMsgLogs(@Param("enterpriseId") Integer enterpriseId, @Param("startTimeOfDay") Date startTimeOfDay, @Param("endTimeOfDay") Date endTimeOfDay);

    List<TabEvaluateMsgLog> listReviewMsgLogs(@Param("enterpriseId") Integer enterpriseId, @Param("startTimeOfDay") Date startTimeOfDay, @Param("endTimeOfDay") Date endTimeOfDay);

}